interface FeatureAccordionConfig {
    bodiesSelector: string;
    buttonSelector: string;
    imageSelector: string;
}
export default class FeatureAccordion {
    private element;
    private config;
    private bodies;
    private buttons;
    private images;
    private activeId;
    constructor(element: HTMLElement, config?: Partial<FeatureAccordionConfig>);
    private init;
    private generateImagesFromDataAttributes;
    private onClick;
    private setActive;
    destroy(): void;
    update(): void;
    static getInstance(el: HTMLElement): FeatureAccordion | null;
}
export {};
